#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)
#
%define		pdir	GStreamer
%define		pnam	Interfaces
Summary:	Perl gstreamer base plugins bindings
Summary(pl.UTF-8):	Wiązania podstawowych wtyczek gstreamera dla Perla
Name:		perl-GStreamer-Interfaces
Version:	0.07
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	https://downloads.sourceforge.net/gtk2-perl/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ccb354c9e6f05a25d825e439b3e04c01
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	gstreamer0.10-plugins-base-devel >= 0.10.9
BuildRequires:	perl-ExtUtils-Depends >= 0.205
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.07
BuildRequires:	perl-GStreamer-devel >= 0.09
BuildRequires:	perl-Glib-devel >= 1.180
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Requires:	perl-GStreamer >= 0.09
Requires:	perl-Glib >= 1.180
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides Perl access to GStreamer base plugins library.

Note: this module is deprecated and no longer maintained.

%description -l pl.UTF-8
Ten moduł daje dostęp z poziomu Perla do podstawowych wtyczek
GStreamera.

Uwaga: ten moduł jest przestarzały i nie jest już utrzymywany.

%package devel
Summary:	Development files for Perl GStreamer-Interfaces bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań GStreamer-Interfaces dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	gstreamer0.10-plugins-base-devel >= 0.10.9
BuildRequires:	perl-GStreamer-devel >= 0.09
BuildRequires:	perl-Glib-devel >= 1.180

%description devel
Development files for Perl GStreamer-Interfaces bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań GStreamer-Interfaces dla Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%{perl_vendorarch}/GStreamer/Interfaces.pm
%dir %{perl_vendorarch}/GStreamer/Interfaces
%dir %{perl_vendorarch}/auto/GStreamer/Interfaces
%attr(755,root,root) %{perl_vendorarch}/auto/GStreamer/Interfaces/Interfaces.so
%{_mandir}/man3/GStreamer::Interfaces*.3pm*

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/GStreamer/Interfaces/Install
%changelog
* Wed Jun 23 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-GStreamer-Interfaces.git;a=log;h=master

* Sat Jun 19 2021 Jakub Bogusz <qboosh@pld-linux.org> e6059b9
- updated to 0.07, deprecated now
- separated -devel package

* Sat May 08 2021 Jan Rękorajski <baggins@pld-linux.org> 42a5924
- rebuild with perl 5.32

* Fri Apr 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 508f7b7
- updated macros

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 57a1136
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> edad729
- rebuild with perl 5.30.0
- release 13 (by relup.sh)

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> c7ee07a
- rebuild with perl 5.28.0
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7b4b749
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 563dbe6
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a5b4b41
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> d30f755
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8c90766
- x32 rebuild
- release 7 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 9d03a5a
- more BRs fixing
- rel 6

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 5141a54
- fix BRs
- rel 5

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5d621d7
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3987bcd
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8ed72bb
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Fri Mar 11 2011 Jakub Bogusz <qboosh@pld-linux.org> d6b1a9e
- removed obsolete rm

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f29be05
- release 2

* Wed Mar 24 2010 amateja <amateja@pld-linux.org> b16a99e
- updated to 0.06

* Tue Mar 09 2010 amateja <amateja@pld-linux.org> 2c111b5
- updated to 0.05

